{ lib
, pkgs
, config
, nixpkgs
, osConfig ? { }
, format ? "unknown"
, ...
}:
{
  home = {
    username = "harald";
    homeDirectory = "/home/${config.home.username}";
    stateVersion = "23.11"; # Please read the comment before changing.
    sessionPath = [ "$HOME/bin" ];
  };

  plusultra = {
    cli-apps = {
      bash.enable = true;
      fish.enable = true;
      neovim.enable = false;
      tmux.enable = true;
      bat.enable = true;
      git.enable = true;
      starship.enable = true;
      home-manager.enable = true;
    };
    tools = {
      direnv.enable = true;
      # jetbrains.enable = true;
    };
  };

  fonts.fontconfig.enable = true;
}

